package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 报告基本情况表
 * </p>
 *
 * @author wangliang
 * @since 2024-02-18
 */
@ApiModel(value="TRBasicInfo对象", description="报告基本情况表")
public class TRBasicInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "考试id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    @ApiModelProperty(value = "课程编码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "试卷编码")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "课程性质")
    private String courseType;

    @ApiModelProperty(value = "考核方式")
    private String evaluationMode;

    @ApiModelProperty(value = "开课时间")
    private String openTime;

    @ApiModelProperty(value = "授课对象")
    private String teachingObject;

    @ApiModelProperty(value = "选课人数")
    private Integer numberOfSelect;

    @ApiModelProperty(value = "参评人数")
    private Integer numberOfParticipants;

    @ApiModelProperty(value = "课程目标达成度期望值")
    private Double courseDegree;

    @ApiModelProperty(value = "任课老师")
    private String teach;

    @ApiModelProperty(value = "评价责任人")
    private String appraiseDutyUser;

    @ApiModelProperty(value = "评价参与人")
    private String appraisePartakeUser;

    @ApiModelProperty(value = "是否启用，0：停用，1：启用")
    private Boolean enable;

    @ApiModelProperty(value = "创建人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "更新人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long updateId;

    @ApiModelProperty(value = "更新时间")
    private Long updateTime;

    @ApiModelProperty(value = "课程目标考核分布")
    private String courseEvaluationSpread;

    @ApiModelProperty(value = "课程考核成绩评价结果")
    private String courseEvaluationResult;

    @ApiModelProperty(value = "课程考核成绩评价明细结果")
    private String courseEvaluationResultDetail;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getCourseType() {
        return courseType;
    }

    public void setCourseType(String courseType) {
        this.courseType = courseType;
    }

    public String getEvaluationMode() {
        return evaluationMode;
    }

    public void setEvaluationMode(String evaluationMode) {
        this.evaluationMode = evaluationMode;
    }

    public String getOpenTime() {
        return openTime;
    }

    public void setOpenTime(String openTime) {
        this.openTime = openTime;
    }

    public String getTeachingObject() {
        return teachingObject;
    }

    public void setTeachingObject(String teachingObject) {
        this.teachingObject = teachingObject;
    }

    public Integer getNumberOfSelect() {
        return numberOfSelect;
    }

    public void setNumberOfSelect(Integer numberOfSelect) {
        this.numberOfSelect = numberOfSelect;
    }

    public Integer getNumberOfParticipants() {
        return numberOfParticipants;
    }

    public void setNumberOfParticipants(Integer numberOfParticipants) {
        this.numberOfParticipants = numberOfParticipants;
    }

    public Double getCourseDegree() {
        return courseDegree;
    }

    public void setCourseDegree(Double courseDegree) {
        this.courseDegree = courseDegree;
    }

    public String getTeach() {
        return teach;
    }

    public void setTeach(String teach) {
        this.teach = teach;
    }

    public String getAppraiseDutyUser() {
        return appraiseDutyUser;
    }

    public void setAppraiseDutyUser(String appraiseDutyUser) {
        this.appraiseDutyUser = appraiseDutyUser;
    }

    public String getAppraisePartakeUser() {
        return appraisePartakeUser;
    }

    public void setAppraisePartakeUser(String appraisePartakeUser) {
        this.appraisePartakeUser = appraisePartakeUser;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public String getCourseEvaluationSpread() {
        return courseEvaluationSpread;
    }

    public void setCourseEvaluationSpread(String courseEvaluationSpread) {
        this.courseEvaluationSpread = courseEvaluationSpread;
    }

    public String getCourseEvaluationResult() {
        return courseEvaluationResult;
    }

    public void setCourseEvaluationResult(String courseEvaluationResult) {
        this.courseEvaluationResult = courseEvaluationResult;
    }

    public String getCourseEvaluationResultDetail() {
        return courseEvaluationResultDetail;
    }

    public void setCourseEvaluationResultDetail(String courseEvaluationResultDetail) {
        this.courseEvaluationResultDetail = courseEvaluationResultDetail;
    }
}
